pdl {fBasics} | R Documentation

## Polynomial Distributed Lags

### Description

Returns a regressor matrix for polynomial distributed lags.

### Usage

    pdl(x, d = 2, q = 3, trim = FALSE)

### Arguments

`x` | a numeric vector.
`d` | an integer specifying the order of the polynomial.
`q` | an integer specifying the number of lags to use in creating polynomial distributed lags. This must be greater than d.
`trim` | a logical flag; if TRUE, the missing values at the beginning of the returned matrix will be trimmed.

### See Also

`tslag`.

### Examples

    ## pdl -
       #

[Package fBasics version 3042.89 Index]